Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227444 - DESKJET output remains in cups queue
Summary: DESKJET output remains in cups queue
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-05 22:30 UTC by John Himpel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 09:20:02 UTC


Attachments (Terms of Use)
/var/log/cups/error_log (deleted)
2007-02-05 22:36 UTC, John Himpel
no flags Details
output from lspci (deleted)
2007-02-05 22:38 UTC, John Himpel
no flags Details
lpstat -t output (deleted)
2007-02-06 11:59 UTC, John Himpel
no flags Details

Description John Himpel 2007-02-05 22:30:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.1) Gecko/20070130 Firefox/2.0.0.1

Description of problem:
When I submit print requests to my USB locally attached printer, nothing prints. The print requests show in the print queue, I changed the logging option for cups to debug2 and have attached the output.  System is FC6 with all latest Rawhide updates.
cups-1.2.7-7.fc7
hal-0.5.8.1-6.fc7
kernel-2.6.199-2913




Version-Release number of selected component (if applicable):
cups-1.2.7-7.fc7

How reproducible:
Always


Steps to Reproduce:
1.Submit a print request via LPR, Firefox, OO, evolution or anything else
2.Select DESKJET_880C (a locally attached USB printer)
3.Print requests show in print queue, but do not print

Actual Results:
Nothing

Expected Results:
THe printer should produce output

Additional info:

Comment 1 John Himpel 2007-02-05 22:36:44 UTC
Created attachment 147413 [details]
/var/log/cups/error_log

This is the output in /var/log/cups/error_log with debug2 set on.

Comment 2 John Himpel 2007-02-05 22:38:18 UTC
Created attachment 147415 [details]
output from lspci

Comment 3 Tim Waugh 2007-02-06 10:34:20 UTC
What does 'lpstat -t' say?

Comment 4 John Himpel 2007-02-06 11:59:20 UTC
Created attachment 147459 [details]
lpstat -t output

Comment 5 John Himpel 2007-02-06 13:15:21 UTC
Sorry, forgot to reset the status back to you.

Comment 6 Tim Waugh 2007-02-12 16:09:37 UTC
If you go to this web page: http://localhost:631/jobs -- does it show that these
jobs are 'held'?  What does it say about them in the 'State' column?

Comment 7 John Himpel 2007-02-12 22:07:55 UTC
Tim,

I have been applying rawhide RPMs as they become available.  When I put some
print requests in the print queue this evening, they printed.
hal has been updated to hal-0.5.9-0.git20070206.2.fc7
kernel has been updated to kernel-2.6.20-1.2922.fc7

I guess you can mark the ticket CLOSED.

Thanks for following up.

JOhn


Note You need to log in before you can comment on or make changes to this bug.